Page MenuHomePhabricator

MonoBook: h3 should not appear as heavier weight than h2
Closed, ResolvedPublic

Description

The h3s in monobook are bolder than and subsequently can appear a bit bigger than h2s, despite being less important than h2s.

Headers should appear with decreasing apparent importance according to which header they are.


Version: unspecified
Severity: normal
OS: Linux
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=69998

Details

Reference
bz69999

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:41 AM
bzimport added a project: MonoBook.
bzimport set Reference to bz69999.
Isarra created this task.Aug 25 2014, 9:48 PM
Isarra added a comment.Oct 4 2014, 1:01 AM

Apparently this has mostly been fixed, and now really only affects some linux distros, where the h3 is essentially the same size as the h2, but darker.

The css itself is in the mediawiki.skinning module in core, not in monobook specifically, but I'm not sure which component that would fit under.

Change 164713 had a related patch set uploaded by Isarra:
Adjust h3 size to keep it smaller than h2 across normal platforms

https://gerrit.wikimedia.org/r/164713

Change 164713 merged by jenkins-bot:
Adjust h3 size to keep it smaller than h2 across normal platforms

https://gerrit.wikimedia.org/r/164713